Loading...
Searching...
No Matches
mongocxx::v_noabi::result::insert_one Class Reference

`#include <mongocxx/v_noabi/mongocxx/result/insert_one.hpp>`

## Description

The result of a MongoDB insert operation.

## Public Member Functions

| insert_one (v1::insert_one_result opts)
| Construct with the mongocxx::v1 equivalent.
| insert_one (v_noabi::result::bulk_write result, bsoncxx::v_noabi::types::view inserted_id)
bsoncxx::v_noabi::types::bson_value::view const & | inserted_id () const
| Gets the _id of the inserted document.
| operator v1::insert_one_result () const
| Convert to the mongocxx::v1 equivalent.
v_noabi::result::bulk_write const & | result () const
| Returns the bulk write result for this insert operation.

## Constructor & Destructor Documentation

## insert_one() [1/2]

mongocxx::v_noabi::result::insert_one::insert_one | ( | v_noabi::result::bulk_write | result,
|  | bsoncxx::v_noabi::types::view | inserted_id )

inline

Deprecated
  For internal use only.

## insert_one() [2/2]

mongocxx::v_noabi::result::insert_one::insert_one | ( | v1::insert_one_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## inserted_id()

bsoncxx::v_noabi::types::bson_value::view const & mongocxx::v_noabi::result::insert_one::inserted_id | ( |  | ) | const

inline

Gets the _id of the inserted document.

Returns
  The value of the _id field for the inserted document.

## operator v1::insert_one_result()

mongocxx::v_noabi::result::insert_one::operator v1::insert_one_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## result()

v_noabi::result::bulk_write const & mongocxx::v_noabi::result::insert_one::result | ( |  | ) | const

inline

Returns the bulk write result for this insert operation.

Returns
  The raw bulk write result.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/result/insert_one.hpp